package com.zhentao.domain.user;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 用户实名认证详细表
 * @TableName user_detail
 */
@TableName(value ="user_detail")
@Data
public class UserDetail implements Serializable {
    /**
     * 用户详细id
     */
    @TableId
    private Long id;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 用户真实姓名
     */
    private String name;

    /**
     * 认证类型（1身份证  2护照 3港澳通行证）
     */
    private Integer idCardType;

    /**
     * 身份证号 唯一
     */
    private String idCardNumber;

    /**
     * 身份证正面照url
     */
    private String idCardFront;

    /**
     * 身份证反面照url
     */
    private String idCardBack;

    /**
     * 手持身份证照片
     */
    private String idCardHandheld;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 用户邮箱
     */
    private String email;

    /**
     * 认证状态 0表示待审核 1表示已认证 2表示未通过 默认0
     */
    private Integer status;

    /**
     * 认证通过时间
     */
    private Date certificationTime;

    /**
     * 认证失败原因
     */
    private String verificationMsg;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 自动更新该时间字段
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}